#sounds
	execute if entity @s[tag=!was_red,scores={capture_pc=1..}] as @a[team=red] at @s run playsound minecraft:item.trident.return master @s ~ ~ ~ 2.0 0.5
	execute if entity @s[tag=!was_red,scores={capture_pc=1..}] as @a[team=red] at @s run playsound minecraft:item.trident.return master @s ~ ~ ~ 2.0 1.2
	execute if entity @s[tag=was_red,scores={capture_pc=..-1}] as @a[team=red] at @s run playsound minecraft:item.trident.throw master @s ~ ~ ~ 2.0 0.0
	execute if entity @s[tag=was_red,scores={capture_pc=..-1}] as @a[team=red] at @s run playsound minecraft:item.trident.throw master @s ~ ~ ~ 2.0 1.5

	execute if entity @s[tag=!was_blue,scores={capture_pc=..-1}] as @a[team=blue] at @s run playsound minecraft:item.trident.return master @s ~ ~ ~ 2.0 0.5
	execute if entity @s[tag=!was_blue,scores={capture_pc=..-1}] as @a[team=blue] at @s run playsound minecraft:item.trident.return master @s ~ ~ ~ 2.0 1.2
	execute if entity @s[tag=was_blue,scores={capture_pc=1..}] as @a[team=blue] at @s run playsound minecraft:item.trident.throw master @s ~ ~ ~ 2.0 0.0
	execute if entity @s[tag=was_blue,scores={capture_pc=1..}] as @a[team=blue] at @s run playsound minecraft:item.trident.throw master @s ~ ~ ~ 2.0 1.5
	
	execute if entity @s[tag=was_red] run scoreboard players set @a[team=red] capture_lose 2
	execute if entity @s[tag=was_blue] run scoreboard players set @a[team=blue] capture_lose 2
	execute as @a[scores={capture_lose=1}] at @s run function mctsts:game/extra_color
	execute as @a[scores={capture_lose=1}] at @s run playsound minecraft:item.trident.throw master @s ~ ~ ~ 2.0 0.0
	execute as @a[scores={capture_lose=1}] at @s run playsound minecraft:item.trident.throw master @s ~ ~ ~ 2.0 1.5

	scoreboard players remove @a[scores={capture_lose=1..}] capture_lose 1

	
	
	execute if score @s p_red >= pointsY1 Stats if score @s p_red <= pointsY2 Stats as @a[tag=!halfway_sound,team=red] at @s run tellraw @s [{"text":"\n |   ","color":"gray"},{"text":"Halfway there!","color":"gold","bold":true}]
	execute if score @s p_red >= pointsY1 Stats if score @s p_red <= pointsY2 Stats as @a[tag=!halfway_sound] at @s run tellraw @s [{"text":" |   ","color":"gray"},{"text":"Red reached ","color":"red"},{"score":{"name":"pointsY1","objective":"Stats"},"color":"red"},{"text":" points.\n","color":"red"}]
	execute if score @s p_blue >= pointsY1 Stats if score @s p_blue <= pointsY2 Stats as @a[tag=!halfway_sound,team=blue] at @s run tellraw @s [{"text":"\n |   ","color":"gray"},{"text":"Halfway there!","color":"gold","bold":true}]
	execute if score @s p_blue >= pointsY1 Stats if score @s p_blue <= pointsY2 Stats as @a[tag=!halfway_sound] at @s run tellraw @s [{"text":" |   ","color":"gray"},{"text":"Blue reached ","color":"blue"},{"score":{"name":"pointsY1","objective":"Stats"},"color":"blue"},{"text":" points.\n","color":"blue"}]
	
	execute if score @s p_red >= pointsY1 Stats if score @s p_red <= pointsY2 Stats as @a[team=red,tag=!halfway_sound] at @s run function mctsts:sound/halfway
	execute if score @s p_red >= pointsY1 Stats if score @s p_red <= pointsY2 Stats as @a[team=blue,tag=!halfway_sound] at @s run function mctsts:sound/enemy_halfway
	execute if score @s p_blue >= pointsY1 Stats if score @s p_blue <= pointsY2 Stats as @a[team=red,tag=!halfway_sound] at @s run function mctsts:sound/enemy_halfway
	execute if score @s p_blue >= pointsY1 Stats if score @s p_blue <= pointsY2 Stats as @a[team=blue,tag=!halfway_sound] at @s run function mctsts:sound/halfway
	tag @a remove halfway_sound
	execute if score @s p_red >= pointsY1 Stats if score @s p_red <= pointsY2 Stats run tag @a add halfway_sound
	execute if score @s p_blue >= pointsY1 Stats if score @s p_blue <= pointsY2 Stats run tag @a add halfway_sound
	
	
	

tag @s[scores={capture_pc=1..}] remove was_blue
tag @s[scores={capture_pc=1..}] add was_red
tag @s[scores={capture_pc=..-1}] remove was_red
tag @s[scores={capture_pc=..-1}] add was_blue

tag @s[scores={capture_pc=0,capture_pc2=0}] remove was_blue
tag @s[scores={capture_pc=0,capture_pc2=0}] remove was_red


#blocks
	execute if entity @s[tag=!was_red,tag=!was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~-1 ~10 white_wool replace red_wool 
	execute if entity @s[tag=!was_red,tag=!was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-15 ~10 ~15 ~10 white_stained_glass_pane replace red_stained_glass_pane
	execute if entity @s[tag=!was_red,tag=!was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-15 ~10 ~15 ~10 white_stained_glass replace red_stained_glass 
	execute if entity @s[tag=!was_red,tag=!was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~-1 ~10 white_wool replace blue_wool 
	execute if entity @s[tag=!was_red,tag=!was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~15 ~10 white_stained_glass_pane replace blue_stained_glass_pane
	execute if entity @s[tag=!was_red,tag=!was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~15 ~10 white_stained_glass replace blue_stained_glass 
	
	execute if entity @s[tag=was_red,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~-1 ~10 red_wool replace blue_wool 
	execute if entity @s[tag=was_red,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~15 ~10 red_stained_glass_pane replace blue_stained_glass_pane
	execute if entity @s[tag=was_red,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~15 ~10 red_stained_glass replace blue_stained_glass 
	execute if entity @s[tag=was_red,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~-1 ~10 red_wool replace white_wool 
	execute if entity @s[tag=was_red,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~15 ~10 red_stained_glass_pane replace white_stained_glass_pane
	execute if entity @s[tag=was_red,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~15 ~10 red_stained_glass replace white_stained_glass 
	execute if entity @s[tag=was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~-1 ~10 blue_wool replace red_wool 
	execute if entity @s[tag=was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-15 ~10 ~15 ~10 blue_stained_glass_pane replace red_stained_glass_pane
	execute if entity @s[tag=was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-15 ~10 ~15 ~10 blue_stained_glass replace red_stained_glass 
	execute if entity @s[tag=was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-10 ~10 ~-1 ~10 blue_wool replace white_wool 
	execute if entity @s[tag=was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-15 ~10 ~15 ~10 blue_stained_glass_pane replace white_stained_glass_pane
	execute if entity @s[tag=was_blue,scores={randomise_blocks=0}] at @s run fill ~-10 ~-1 ~-15 ~10 ~15 ~10 blue_stained_glass replace white_stained_glass 

	execute if score lowGraphics Stats matches 0 as @s[scores={capture_pc=0,capture_pc2=2..,randomise_blocks=0}] at @s run function ds:capture/randomblocks_big
	execute if score lowGraphics Stats matches 0 as @s[scores={capture_pc=0,capture_pc2=2..,randomise_blocks=0}] at @s run function mctsts:game/extra_color
	scoreboard players add @s randomise_blocks 1
	scoreboard players set @s[scores={randomise_blocks=10..}] randomise_blocks 0

#add points
execute as @a[team=red,gamemode=!spectator] at @s if block ~ ~-1 ~ #wool if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points=0}] p_red 1
execute as @a[team=red,gamemode=!spectator] at @s if block ~ ~-2 ~ #wool if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points=0}] p_red 1
execute as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-1 ~ #wool if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points=0}] p_blue 1
execute as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-2 ~ #wool if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points=0}] p_blue 1

execute as @a[team=red,gamemode=!spectator] at @s if block ~ ~-1 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points=0}] p_red 1
execute as @a[team=red,gamemode=!spectator] at @s if block ~ ~-2 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points=0}] p_red 1
execute as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-1 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points=0}] p_blue 1
execute as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-2 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points=0}] p_blue 1

execute as @a[team=red,gamemode=!spectator] at @s if block ~ ~-3 ~ #wool if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points=0}] p_red 1
execute as @a[team=red,gamemode=!spectator] at @s if block ~ ~-4 ~ #wool if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points=0}] p_red 1
execute as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-3 ~ #wool if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points=0}] p_blue 1
execute as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-4 ~ #wool if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points=0}] p_blue 1

execute as @a[team=red,gamemode=!spectator] at @s if block ~ ~-3 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points=0}] p_red 1
execute as @a[team=red,gamemode=!spectator] at @s if block ~ ~-4 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points=0}] p_red 1
execute as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-3 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points=0}] p_blue 1
execute as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-4 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points=0}] p_blue 1
scoreboard players add @s add_points 1
scoreboard players set @s[scores={add_points=3..,playercount=..4}] add_points 0
scoreboard players set @s[scores={add_points=5..,playercount=5..7}] add_points 0
scoreboard players set @s[scores={add_points=6..,playercount=8}] add_points 0
scoreboard players set @s[scores={add_points=8..,playercount=9..}] add_points 0

execute if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red] at @s if block ~ ~-1 ~ #wool if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points2=0}] p_red 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red] at @s if block ~ ~-2 ~ #wool if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points2=0}] p_red 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue] at @s if block ~ ~-1 ~ #wool if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points2=0}] p_blue 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue] at @s if block ~ ~-2 ~ #wool if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points2=0}] p_blue 1

execute if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red] at @s if block ~ ~-1 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points2=0}] p_red 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red] at @s if block ~ ~-2 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points2=0}] p_red 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue] at @s if block ~ ~-1 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points2=0}] p_blue 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue] at @s if block ~ ~-2 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points2=0}] p_blue 1

execute if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red] at @s if block ~ ~-3 ~ #wool if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points2=0}] p_red 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red] at @s if block ~ ~-4 ~ #wool if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points2=0}] p_red 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue] at @s if block ~ ~-3 ~ #wool if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points2=0}] p_blue 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue] at @s if block ~ ~-4 ~ #wool if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points2=0}] p_blue 1

execute if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red] at @s if block ~ ~-3 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points2=0}] p_red 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red] at @s if block ~ ~-4 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_red < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_red,scores={add_points2=0}] p_red 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue] at @s if block ~ ~-3 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points2=0}] p_blue 1
execute if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue] at @s if block ~ ~-4 ~ #stained_glass if score @e[tag=capture_big,limit=1] p_blue < pointsX Stats run scoreboard players add @e[tag=capture_big,distance=..15,tag=was_blue,scores={add_points2=0}] p_blue 1
scoreboard players add @s add_points2 1
scoreboard players set @s[scores={add_points2=6..,playercount=..4}] add_points2 0
scoreboard players set @s[scores={add_points2=10..,playercount=5..7}] add_points2 0
scoreboard players set @s[scores={add_points2=12..,playercount=8}] add_points2 0
scoreboard players set @s[scores={add_points2=16..,playercount=9..}] add_points2 0


execute if score @s p_red >= pointsX Stats run tag @s add overtime
execute if score @s p_blue >= pointsX Stats run tag @s add overtime

#armor stand +1 things
	execute as @s[scores={randomise_blocks=1},tag=was_red] at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\",\"color\":\"red\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Marker:1,Invisible:1}
	execute if score lowGraphics Stats matches 0 as @s[scores={capture_pc=2..,randomise_blocks=1}] at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\",\"color\":\"red\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Marker:1,Invisible:1}
	execute if score lowGraphics Stats matches 0 as @s[scores={capture_pc=3..,randomise_blocks=1}] at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\",\"color\":\"red\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Marker:1,Invisible:1}
	execute if score lowGraphics Stats matches 0 as @s[scores={capture_pc=4..,randomise_blocks=1}] at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\",\"color\":\"red\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Marker:1,Invisible:1}
	execute if score lowGraphics Stats matches 1 as @s[scores={capture_pc=2..,randomise_blocks=1}] at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\",\"color\":\"red\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Marker:1,Invisible:1}
	execute as @s[scores={randomise_blocks=1},tag=was_blue] at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\",\"color\":\"blue\"}",CustomNameVisible:1,Tags:["point_text","point_text_blue"],Marker:1,Invisible:1}
	execute if score lowGraphics Stats matches 0 as @s[scores={capture_pc=..-2,randomise_blocks=1}] at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\",\"color\":\"blue\"}",CustomNameVisible:1,Tags:["point_text","point_text_blue"],Marker:1,Invisible:1}
	execute if score lowGraphics Stats matches 0 as @s[scores={capture_pc=..-3,randomise_blocks=1}] at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\",\"color\":\"blue\"}",CustomNameVisible:1,Tags:["point_text","point_text_blue"],Marker:1,Invisible:1}
	execute if score lowGraphics Stats matches 0 as @s[scores={capture_pc=..-4,randomise_blocks=1}] at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\",\"color\":\"blue\"}",CustomNameVisible:1,Tags:["point_text","point_text_blue"],Marker:1,Invisible:1}
	execute if score lowGraphics Stats matches 1 as @s[scores={capture_pc=..-2,randomise_blocks=1}] at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\",\"color\":\"blue\"}",CustomNameVisible:1,Tags:["point_text","point_text_blue"],Marker:1,Invisible:1}

	scoreboard players add @e[tag=point_text] lifetime 1
	execute at @s run spreadplayers ~ ~ 0 4 false @e[tag=point_text,scores={lifetime=1..2}]
	execute as @e[tag=point_text,scores={lifetime=1..2}] store result entity @s Pos[1] double 1 run data get entity @e[tag=capture_big,limit=1] Pos[1] 1

	execute as @e[tag=point_text] at @s run tp @s ~ ~0.1 ~
	kill @e[tag=point_text,scores={lifetime=20..}]

	
#actionbar
	execute if entity @s[tag=was_red] run title @a actionbar [{"text":"","bold":false},{"text":"Centre Point","color":"gold","bold":true},{"text":" captured by ","color":"white"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true}]
	execute if entity @s[tag=was_red,scores={capture_pc=0,capture_pc2=2..,randomise_blocks=0..3}] run title @a actionbar [{"text":"","bold":false},{"text":"Centre Point","color":"blue","bold":true},{"text":" captured by ","color":"blue"},{"text":"╕","color":"blue"},{"text":" Red","color":"blue","bold":true}]
	execute if entity @s[tag=was_blue] run title @a actionbar [{"text":"","bold":false},{"text":"Centre Point","color":"gold","bold":true},{"text":" captured by ","color":"white"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true}]
	execute if entity @s[tag=was_blue,scores={capture_pc=0,capture_pc2=2..,randomise_blocks=0..3}] run title @a actionbar [{"text":"","bold":false},{"text":"Centre Point","color":"red","bold":true},{"text":" captured by ","color":"red"},{"text":"╣","color":"red"},{"text":" Blue","color":"red","bold":true}]
	execute if entity @s[tag=!was_red,tag=!was_blue] run title @a actionbar [{"text":"","bold":false},{"text":"Centre Point","color":"gold","bold":true},{"text":" not captured yet!","color":"white"}]