#SOUNDS
execute if score @s p_red >= pointsX Stats as @a[team=red,tag=!ov_title] at @s run function mctsts:sound/overtime
execute if score @s p_red >= pointsX Stats as @a[team=blue,tag=!ov_title] at @s run function mctsts:sound/enemy_overtime
execute if score @s p_blue >= pointsX Stats as @a[team=red,tag=!ov_title] at @s run function mctsts:sound/enemy_overtime
execute if score @s p_blue >= pointsX Stats as @a[team=blue,tag=!ov_title] at @s run function mctsts:sound/overtime


#TITLES
execute if score @s p_red >= pointsX Stats run scoreboard players set @a[tag=!ov_title] MusicSet 1
execute if score @s p_red >= pointsX Stats run title @a[tag=!ov_title] title [{"text":"Overtime ","color":"gold","bold":true},{"text":"has started!","color":"red","bold":false}]
execute if score @s p_blue >= pointsX Stats run scoreboard players set @a[tag=!ov_title] MusicSet 1
execute if score @s p_blue >= pointsX Stats run title @a[tag=!ov_title] title [{"text":"Overtime ","color":"gold","bold":true},{"text":"has started!","color":"blue","bold":false}]
execute if score @s p_red >= pointsX Stats run title @a[tag=!ov_title] subtitle [{"text":"Red ","color":"red","bold":true},{"text":"has ","color":"gold","bold":false},{"score":{"name":"points","objective":"Stats"},"color":"gold","bold":false},{"text":" points","color":"gold","bold":false}]
execute if score @s p_blue >= pointsX Stats run title @a[tag=!ov_title] subtitle [{"text":"Blue ","color":"gold","bold":true},{"text":"has ","color":"gold","bold":false},{"score":{"name":"points","objective":"Stats"},"color":"gold","bold":false},{"text":" points","color":"gold","bold":false}]
tag @a add ov_title 


#TELLRAW EXPLANATION
execute if score @s p_red >= pointsX Stats run tellraw @a[team=red,tag=!skip_ovexpl_win] [{"text":"\n |   ","color":"gray"},{"text":"Overtime has started!\n","color":"gold","bold":true},{"text":" |   ","color":"gray"},{"text":"Fill up the overtime bar by standing on \n","color":"white"},{"text":" |   ","color":"gray"},{"text":"the centre point without any players \n","color":"white"},{"text":" |   ","color":"gray"},{"text":"from team blue to win.\n","color":"white"}]
execute if score @s p_blue >= pointsX Stats run tellraw @a[team=blue,tag=!skip_ovexpl_win] [{"text":"\n |   ","color":"gray"},{"text":"Overtime has started!\n","color":"gold","bold":true},{"text":" |   ","color":"gray"},{"text":"Fill up the overtime bar by standing on \n","color":"white"},{"text":" |   ","color":"gray"},{"text":"the centre point without any players \n","color":"white"},{"text":" |   ","color":"gray"},{"text":"from team red to win.\n","color":"white"}]
execute if score @s p_blue >= pointsX Stats if score @s p_red < pointsX Stats run tellraw @a[team=red,tag=!skip_ovexpl_lose] [{"text":"\n |   ","color":"gray"},{"text":"Overtime has started!\n","color":"gold","bold":true},{"text":" |   ","color":"gray"},{"text":"The blue team wins when\n","color":"white"},{"text":" |   ","color":"gray"},{"text":"the overtime bar filled up.\n","color":"white"},{"text":" |   ","color":"gray"},{"text":"Stand on the centre point\n","color":"white"},{"text":" |   ","color":"gray"},{"text":"to stop them from winning!\n","color":"white"}]
execute if score @s p_red >= pointsX Stats if score @s p_blue < pointsX Stats run tellraw @a[team=blue,tag=!skip_ovexpl_lose] [{"text":"\n |   ","color":"gray"},{"text":"Overtime has started!\n","color":"gold","bold":true},{"text":" |   ","color":"gray"},{"text":"The red team wins when\n","color":"white"},{"text":" |   ","color":"gray"},{"text":"the overtime bar filled up.\n","color":"white"},{"text":" |   ","color":"gray"},{"text":"Stand on the centre point\n","color":"white"},{"text":" |   ","color":"gray"},{"text":"to stop them from winning!\n","color":"white"}]


execute if score @s p_red >= pointsX Stats run tag @a[team=red] add skip_ovexpl_win
execute if score @s p_blue >= pointsX Stats if score @s p_red < pointsX Stats run tag @a[team=red] add skip_ovexpl_lose
execute if score @s p_blue >= pointsX Stats run tag @a[team=blue] add skip_ovexpl_win
execute if score @s p_red >= pointsX Stats if score @s p_blue < pointsX Stats run tag @a[team=blue] add skip_ovexpl_lose

#WINNER
	tag @s[scores={overtime=264..}] add win_red
	tag @s[scores={overtime=..-264}] add win_blue

#sound
	execute at @s[scores={playsound_timer=1,overtime=1..160}] run playsound minecraft:block.conduit.ambient master @a[distance=..7] ~ ~ ~ 2.0 1.0
	execute at @s[scores={playsound_timer=1,overtime=-160..-1}] run playsound minecraft:block.conduit.ambient master @a[distance=..7] ~ ~ ~ 2.0 1.0
	
	execute at @s[scores={playsound_timer=1,overtime=161..264}] run playsound minecraft:block.conduit.ambient master @a[distance=..7] ~ ~ ~ 2.0 2.0
	execute at @s[scores={playsound_timer=1,overtime=-264..-161}] run playsound minecraft:block.conduit.ambient master @a[distance=..7] ~ ~ ~ 2.0 2.0
	scoreboard players add @s playsound_timer 1
	scoreboard players set @s[scores={playsound_timer=60..}] playsound_timer 0
	scoreboard players set @s[scores={playsound_timer=60..}] playsound_timer 0
	scoreboard players set @s[scores={playsound_timer=30..,overtime=161..264}] playsound_timer 0
	scoreboard players set @s[scores={playsound_timer=30..,overtime=-264..-161}] playsound_timer 0

#random blocks
	execute as @s[scores={randomise_blocks=0}] at @s run function ds:capture/randomblocks_overtime
	scoreboard players add @s randomise_blocks 1
	execute if score lowGraphics Stats matches 0 run scoreboard players set @s[scores={randomise_blocks=10..}] randomise_blocks 0
	execute if score lowGraphics Stats matches 1 run scoreboard players set @s[scores={randomise_blocks=60..}] randomise_blocks 0

#armor stand +1 things
	execute as @s[scores={capture_pc_red=1..,randomise_blocks=1}] if score @s p_red < pointsX Stats at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Team:"red",Marker:1,Invisible:1}
	execute as @s[scores={capture_pc_red=2..,randomise_blocks=1}] if score @s p_red < pointsX Stats at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Team:"red",Marker:1,Invisible:1}
	execute as @s[scores={capture_pc_red=3..,randomise_blocks=1}] if score @s p_red < pointsX Stats at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Team:"red",Marker:1,Invisible:1}
	execute as @s[scores={capture_pc_red=4..,randomise_blocks=1}] if score @s p_red < pointsX Stats at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Team:"red",Marker:1,Invisible:1}
	execute as @s[scores={capture_pc_blue=1..,randomise_blocks=1}] if score @s p_blue < pointsX Stats at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Team:"blue",Marker:1,Invisible:1}
	execute as @s[scores={capture_pc_blue=2..,randomise_blocks=1}] if score @s p_blue < pointsX Stats at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Team:"blue",Marker:1,Invisible:1}
	execute as @s[scores={capture_pc_blue=3..,randomise_blocks=1}] if score @s p_blue < pointsX Stats at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Team:"blue",Marker:1,Invisible:1}
	execute as @s[scores={capture_pc_blue=4..,randomise_blocks=1}] if score @s p_blue < pointsX Stats at @s run summon armor_stand ~ ~ ~ {CustomName:"{\"text\":\"+1\"}",CustomNameVisible:1,Tags:["point_text","point_text_red"],Team:"blue",Marker:1,Invisible:1}

	scoreboard players add @e[tag=point_text] lifetime 1
	execute at @s run spreadplayers ~ ~ 0 4 false @e[tag=point_text,scores={lifetime=1..2}]

	execute as @e[tag=point_text] at @s run tp @s ~ ~0.1 ~
	kill @e[tag=point_text,scores={lifetime=10..}]


# execute as @a[team=red] at @s positioned ~-6 ~-10 ~-6 run scoreboard players add @e[tag=capture_big,dx=11,dy=20,dz=11,scores={p_red=..998,capture_pc=1..}] p_red 1
# execute as @a[team=blue] at @s positioned ~-6 ~-10 ~-6 run scoreboard players add @e[tag=capture_big,dx=11,dy=20,dz=11,scores={p_blue=..998,capture_pc=..-1}] p_blue 1

execute if score @s p_red < pointsX Stats as @a[team=red,gamemode=!spectator] at @s positioned ~-6 ~-10 ~-6 run scoreboard players add @e[tag=capture_big,dx=11,dy=20,dz=11,scores={add_points=0}] p_red 1
execute if score @s p_blue < pointsX Stats as @a[team=blue,gamemode=!spectator] at @s positioned ~-6 ~-10 ~-6 run scoreboard players add @e[tag=capture_big,dx=11,dy=20,dz=11,scores={add_points=0}] p_blue 1
scoreboard players add @s add_points 1
scoreboard players set @s[scores={add_points=3..,playercount=..4}] add_points 0
scoreboard players set @s[scores={add_points=5..,playercount=5..7}] add_points 0
scoreboard players set @s[scores={add_points=6..,playercount=8}] add_points 0
scoreboard players set @s[scores={add_points=8..,playercount=9..}] add_points 0


execute if score @s p_red < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red,gamemode=!spectator] at @s if block ~ ~-1 ~ #wool run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_red 1
execute if score @s p_red < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red,gamemode=!spectator] at @s if block ~ ~-2 ~ #wool run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_red 1
execute if score @s p_blue < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-1 ~ #wool run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_blue 1
execute if score @s p_blue < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-2 ~ #wool run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_blue 1

execute if score @s p_red < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red,gamemode=!spectator] at @s if block ~ ~-1 ~ #stained_glass run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_red 1
execute if score @s p_red < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red,gamemode=!spectator] at @s if block ~ ~-2 ~ #stained_glass run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_red 1
execute if score @s p_blue < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-1 ~ #stained_glass run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_blue 1
execute if score @s p_blue < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-2 ~ #stained_glass run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_blue 1

execute if score @s p_red < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red,gamemode=!spectator] at @s if block ~ ~-3 ~ #wool run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_red 1
execute if score @s p_red < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red,gamemode=!spectator] at @s if block ~ ~-4 ~ #wool run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_red 1
execute if score @s p_blue < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-3 ~ #wool run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_blue 1
execute if score @s p_blue < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-4 ~ #wool run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_blue 1

execute if score @s p_red < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red,gamemode=!spectator] at @s if block ~ ~-3 ~ #stained_glass run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_red 1
execute if score @s p_red < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=2}] as @a[team=red,gamemode=!spectator] at @s if block ~ ~-4 ~ #stained_glass run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_red 1
execute if score @s p_blue < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-3 ~ #stained_glass run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_blue 1
execute if score @s p_blue < pointsX Stats if entity @e[tag=capture_small,scores={effect=9,captured=-2}] as @a[team=blue,gamemode=!spectator] at @s if block ~ ~-4 ~ #stained_glass run scoreboard players add @e[tag=capture_big,distance=..15,scores={add_points2=0}] p_blue 1
scoreboard players add @s add_points2 1
scoreboard players set @s[scores={add_points2=6..,playercount=..4}] add_points2 0
scoreboard players set @s[scores={add_points2=10..,playercount=5..7}] add_points2 0
scoreboard players set @s[scores={add_points2=12..,playercount=8}] add_points2 0
scoreboard players set @s[scores={add_points2=16..,playercount=9..}] add_points2 0



#OVERTIME POINTS
	scoreboard players remove @s[scores={capture_pc2=0,overtime=1..}] overtime 1
	scoreboard players add @s[scores={capture_pc2=0,overtime=..-1}] overtime 1
	scoreboard players remove @s[scores={capture_pc_red=0,overtime=1..}] overtime 1
	scoreboard players add @s[scores={capture_pc_blue=0,overtime=..-1}] overtime 1
	
	execute unless score @s overtime matches 0 run scoreboard players add overtime Stats 1
	execute unless score @s overtime matches 0 run scoreboard players operation overtimeX Stats = overtime Stats
	execute unless score @s overtime matches 0 run scoreboard players operation overtimeX Stats /= 500 Const
	execute unless score @s overtime matches 0 run scoreboard players operation overtimeX Stats += 2 Const

	
	execute if score @s p_red >= pointsX Stats run scoreboard players operation @s[scores={capture_pc=2..,add_ov_points=1}] overtime += overtimeX Stats
	execute if score @s p_blue >= pointsX Stats run scoreboard players operation @s[scores={capture_pc=..-2,add_ov_points=1}] overtime -= overtimeX Stats

	execute if score @s p_red >= pointsX Stats run scoreboard players operation @s[scores={capture_pc_blue=0,capture_pc2=1..,add_ov_points=1}] overtime += overtimeX Stats
	execute if score @s p_blue >= pointsX Stats run scoreboard players operation @s[scores={capture_pc_red=0,capture_pc2=1..,add_ov_points=1}] overtime -= overtimeX Stats

	execute if score @s p_red >= pointsX Stats run scoreboard players add @s[scores={capture_pc_blue=0,capture_pc2=1..,add_ov_points=1,playercount=8..}] overtime 3
	execute if score @s p_blue >= pointsX Stats run scoreboard players remove @s[scores={capture_pc_red=0,capture_pc2=1..,add_ov_points=1,playercount=8..}] overtime 3
	scoreboard players add @s add_ov_points 1
	scoreboard players set @s[scores={add_ov_points=3..}] add_ov_points 0

#ACTIONBAR
	execute if entity @s[scores={overtime=0}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ███████","color":"white"}]

	execute if entity @s[scores={overtime=1..12}] run title @a actionbar [{"text":""},{"text":"█","color":"dark_red"},{"text":"██████ OVERTIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=13..24}] run title @a actionbar [{"text":""},{"text":"██","color":"dark_red"},{"text":"█████ OVERTIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=25..36}] run title @a actionbar [{"text":""},{"text":"███","color":"dark_red"},{"text":"████ OVERTIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=37..48}] run title @a actionbar [{"text":""},{"text":"████","color":"dark_red"},{"text":"███ OVERTIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=49..60}] run title @a actionbar [{"text":""},{"text":"█████","color":"dark_red"},{"text":"██ OVERTIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=61..72}] run title @a actionbar [{"text":""},{"text":"██████","color":"dark_red"},{"text":"█ OVERTIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=73..84}] run title @a actionbar [{"text":""},{"text":"███████","color":"dark_red"},{"text":" OVERTIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=85..96}] run title @a actionbar [{"text":""},{"text":"███████ O","color":"dark_red"},{"text":"VERTIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=97..108}] run title @a actionbar [{"text":""},{"text":"███████ OV","color":"dark_red"},{"text":"ERTIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=109..120}] run title @a actionbar [{"text":""},{"text":"███████ OVE","color":"dark_red"},{"text":"RTIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=121..132}] run title @a actionbar [{"text":""},{"text":"███████ OVER","color":"dark_red"},{"text":"TIME ███████","color":"red"}]
	execute if entity @s[scores={overtime=133..144}] run title @a actionbar [{"text":""},{"text":"███████ OVERT","color":"dark_red"},{"text":"IME ███████","color":"red"}]
	execute if entity @s[scores={overtime=145..156}] run title @a actionbar [{"text":""},{"text":"███████ OVERTI","color":"dark_red"},{"text":"ME ███████","color":"red"}]
	execute if entity @s[scores={overtime=157..168}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIM","color":"dark_red"},{"text":"E ███████","color":"red"}]
	execute if entity @s[scores={overtime=169..180}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME","color":"dark_red"},{"text":" ███████","color":"red"}]
	execute if entity @s[scores={overtime=181..192}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME █","color":"dark_red"},{"text":"██████","color":"red"}]
	execute if entity @s[scores={overtime=193..204}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ██","color":"dark_red"},{"text":"█████","color":"red"}]
	execute if entity @s[scores={overtime=205..216}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ███","color":"dark_red"},{"text":"████","color":"red"}]
	execute if entity @s[scores={overtime=217..228}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ████","color":"dark_red"},{"text":"███","color":"red"}]
	execute if entity @s[scores={overtime=229..240}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME █████","color":"dark_red"},{"text":"██","color":"red"}]
	execute if entity @s[scores={overtime=241..252}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ██████","color":"dark_red"},{"text":"█","color":"red"}]
	execute if entity @s[scores={overtime=253..264}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ███████","color":"dark_red"}]



	execute if entity @s[scores={overtime=-12..-1}] run title @a actionbar [{"text":""},{"text":"█","color":"dark_blue"},{"text":"██████ OVERTIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-24..-13}] run title @a actionbar [{"text":""},{"text":"██","color":"dark_blue"},{"text":"█████ OVERTIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-36..-25}] run title @a actionbar [{"text":""},{"text":"███","color":"dark_blue"},{"text":"████ OVERTIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-48..-37}] run title @a actionbar [{"text":""},{"text":"████","color":"dark_blue"},{"text":"███ OVERTIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-60..-49}] run title @a actionbar [{"text":""},{"text":"█████","color":"dark_blue"},{"text":"██ OVERTIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-72..-61}] run title @a actionbar [{"text":""},{"text":"██████","color":"dark_blue"},{"text":"█ OVERTIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-84..-73}] run title @a actionbar [{"text":""},{"text":"███████","color":"dark_blue"},{"text":" OVERTIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-96..-85}] run title @a actionbar [{"text":""},{"text":"███████ O","color":"dark_blue"},{"text":"VERTIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-108..-97}] run title @a actionbar [{"text":""},{"text":"███████ OV","color":"dark_blue"},{"text":"ERTIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-120..-109}] run title @a actionbar [{"text":""},{"text":"███████ OVE","color":"dark_blue"},{"text":"RTIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-132..-121}] run title @a actionbar [{"text":""},{"text":"███████ OVER","color":"dark_blue"},{"text":"TIME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-144..-133}] run title @a actionbar [{"text":""},{"text":"███████ OVERT","color":"dark_blue"},{"text":"IME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-156..-145}] run title @a actionbar [{"text":""},{"text":"███████ OVERTI","color":"dark_blue"},{"text":"ME ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-168..-157}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIM","color":"dark_blue"},{"text":"E ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-180..-169}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME","color":"dark_blue"},{"text":" ███████","color":"blue"}]
	execute if entity @s[scores={overtime=-192..-181}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME █","color":"dark_blue"},{"text":"██████","color":"blue"}]
	execute if entity @s[scores={overtime=-204..-193}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ██","color":"dark_blue"},{"text":"█████","color":"blue"}]
	execute if entity @s[scores={overtime=-216..-205}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ███","color":"dark_blue"},{"text":"████","color":"blue"}]
	execute if entity @s[scores={overtime=-228..-217}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ████","color":"dark_blue"},{"text":"███","color":"blue"}]
	execute if entity @s[scores={overtime=-240..-229}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME █████","color":"dark_blue"},{"text":"██","color":"blue"}]
	execute if entity @s[scores={overtime=-252..-241}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ██████","color":"dark_blue"},{"text":"█","color":"blue"}]
	execute if entity @s[scores={overtime=-264..-253}] run title @a actionbar [{"text":""},{"text":"███████ OVERTIME ███████","color":"dark_blue"}]