execute as @a[gamemode=creative,tag=!camera] run function mctsts:join/cheats
team join camera @a[tag=camera,team=!camera]

#Shop
execute as @a[team=spectators] run function mctsts:shop/clear
execute as @a[team=red] run function mctsts:shop/main
execute as @a[team=blue] run function mctsts:shop/main

#Gold
execute as @a run scoreboard players operation @s xpX = @s xp
execute as @a run function mctsts:game/gold

#Clear
clear @a red_stained_glass_pane
clear @a blue_stained_glass_pane
clear @a yellow_stained_glass_pane
clear @a lime_stained_glass_pane
clear @a splash_potion{potionid:1}

effect give @a minecraft:regeneration 999999 120 true

#Misc
function mctsts:game/level
function mctsts:game/arrow
function mctsts:game/effects
function mctsts:game/beacon
function mctsts:game/suffix 
scoreboard players add @e[tag=capture_small] captured 0
execute as @a run function mctsts:game/kill_ranged
execute as @a run function mctsts:game/passive
execute as @a[gamemode=!creative] run function mctsts:game/armor
execute as @a[team=red,gamemode=adventure] run function mctsts:game/health
execute as @a[team=blue,gamemode=adventure] run function mctsts:game/health
execute as @a[team=red,gamemode=!adventure] run function mctsts:game/health_respawn
execute as @a[team=blue,gamemode=!adventure] run function mctsts:game/health_respawn
execute as @a[gamemode=!creative,tag=!ghost] run function mctsts:game/equipment
execute as @a[gamemode=!creative] run function mctsts:game/shield_handle
function mctsts:game/block
execute if score level Stats matches 2 run function mctsts:game/transit_pads
execute if score level Stats matches 5 run function mctsts:game/jump_pads
execute if score level Stats matches 6 run function mctsts:game/streets
execute if score level Stats matches 7 run function mctsts:game/portals
execute if score level Stats matches 7 run function mctsts:game/summit
execute as @a[tag=s_4,gamemode=adventure] at @s run function mctsts:game/safeguard
tag @e[tag=!s_4] remove hasSafeguard

function mctsts:game/extra_color

#Items
kill @e[type=item]
execute as @a[scores={dropI=1..}] run function mctsts:game/weapons
scoreboard players set @a dropI 0

#Ammo
execute as @a[gamemode=adventure] store result score @s bombsX run clear @s splash_potion 0
execute as @a[gamemode=adventure] store result score @s arrowsX run clear @s arrow 0
execute as @a[gamemode=adventure] store result score @s arrows2 run clear @s tipped_arrow 0
execute as @a[gamemode=adventure] run scoreboard players operation @s arrowsX += @s arrows2
scoreboard players add @a[gamemode=adventure] arrows 1
scoreboard players add @a[scores={ranged=20},gamemode=adventure] bombs 1
scoreboard players add @a[scores={ranged=21},gamemode=adventure] bombs 1
scoreboard players add @a[scores={ranged=22},gamemode=adventure] bombs 2
scoreboard players add @a[scores={ranged=23},gamemode=adventure] bombs 2
execute as @a[scores={arrowsX=..15,arrows=100..},gamemode=adventure,tag=!s_3] run give @s arrow{CanDestroy:["tnt","slime_block"],HideFlags:63}
execute as @a[scores={arrowsX=..15,arrows=100..},gamemode=adventure,tag=s_3] run function mctsts:game/tarrow
execute as @a[scores={bombsX=..2,bombs=350..,ranged=20..},gamemode=adventure] run give @s splash_potion{Potion:"weakness",Unbreakable:1,HideFlags:63,display:{Name:"{\"text\":\"Weakness Splash Potion\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["tnt","slime_block"],HideFlags:63,CanPlaceOn:["#all"]}
execute as @a[scores={bombsX=..2,bombs=350..,ranged=21..},gamemode=adventure] run give @s splash_potion{Potion:"strong_slowness",Unbreakable:1,HideFlags:63,display:{Name:"{\"text\":\"Slowness Splash Potion\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["tnt","slime_block"],HideFlags:63,CanPlaceOn:["#all"]}
execute as @a[scores={bombsX=..2,bombs=350..,ranged=22..},gamemode=adventure] run give @s splash_potion{CustomPotionEffects:[{Id:19b,Amplifier:1b,Duration:100}],CustomPotionColor:6533908,Unbreakable:1,HideFlags:63,display:{Name:"{\"text\":\"Poison Splash Potion\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["tnt","slime_block"],HideFlags:63,CanPlaceOn:["#all"]}
scoreboard players set @a[scores={arrows=100..},gamemode=adventure] arrows 0
scoreboard players set @a[scores={bombs=350..},gamemode=adventure] bombs 0

#Touch
execute as @a[scores={damageD2=0..},tag=s_6] at @s run function mctsts:game/touch/main
scoreboard players reset @a[scores={damageD2=0..}] damageD2

#Tnt Stopper
kill @e[type=tnt]

#Fireball
function mctsts:game/fireball

#Potions
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:2}}},scores={carrot=1..}] at @s run scoreboard players add @s[scores={jump_boost4=..0}] jump_boost 3
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:2}}},scores={carrot=1..}] at @s run scoreboard players set @s[scores={jump_boost4=..0}] jump_boost4 600
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}},scores={carrot=1..}] at @s run scoreboard players add @s[scores={resistance1=..0}] resistance 2
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}},scores={carrot=1..}] at @s run scoreboard players set @s[scores={resistance1=..0}] resistance1 600
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:3}}},scores={carrot=1..}] at @s run scoreboard players operation @s healthZ = @s healthX
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:3}}},scores={carrot=1..}] at @s run scoreboard players add @s healthZ 8
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:2}}},scores={carrot=1..}] at @s run playsound minecraft:entity.phantom.death master @a ~ ~ ~ 1 1.5
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}},scores={carrot=1..}] at @s run playsound minecraft:entity.phantom.death master @a ~ ~ ~ 1 1.5
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:3}}},scores={carrot=1..}] at @s run playsound minecraft:entity.phantom.death master @a ~ ~ ~ 1 1.5
replaceitem entity @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:2}}},scores={carrot=1..}] weapon.mainhand air
replaceitem entity @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}},scores={carrot=1..}] weapon.mainhand air
replaceitem entity @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:3}}},scores={carrot=1..}] weapon.mainhand air

#Regeneration
scoreboard players add @a[scores={healthX=..20},tag=!ghost] regeneration 1
scoreboard players set @a[scores={healthX=20..,regeneration=100..}] regeneration 0
execute as @a[scores={regeneration=100..}] run scoreboard players operation @s healthZ = @s healthX
execute as @a[scores={regeneration=100..},nbt={HurtTime:0s}] run effect give @s minecraft:regeneration 1 125 true
execute as @a[scores={regeneration=100..}] run scoreboard players add @s healthZ 1
execute as @a[scores={regeneration=100..}] run scoreboard players set @s regeneration 0

#Carrot End
scoreboard players set @a carrot 0

#Arrow Success
scoreboard players set @a Success 0
execute as @a run function mctsts:game/ad_bow
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s[scores={speed1=0}] speed 3
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s speed1 100
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s[scores={resistance6=0}] resistance 2
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s resistance6 100
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s[scores={jump_boost5=0}] jump_boost 2
execute as @a if score @s[tag=s_2] Success = 1 Const run scoreboard players add @s jump_boost5 100

#Gold Timer
scoreboard players add @a[tag=!s_5] goldtimer 6
scoreboard players add @a[tag=s_5] goldtimer 4
scoreboard players add @a gold 0
scoreboard players add @a[scores={goldtimer=36..,gold=..4999}] gold 1
scoreboard players set @a[scores={goldtimer=36..}] goldtimer 0

#Gamestats
scoreboard players operation §6§lVictory gamestats = points Stats
scoreboard players operation §c§lRed gamestats = @e[tag=capture_big] p_red
scoreboard players operation §c§lRed gamestats < points Stats
scoreboard players operation §9§lBlue gamestats = @e[tag=capture_big] p_blue
scoreboard players operation §9§lBlue gamestats < points Stats

#Jump Armor
scoreboard players add @a[scores={armor=22..23,jump_boost1=0}] jump_boost 2
scoreboard players set @a[scores={armor=22..23,jump_boost1=0}] jump_boost1 20

#Block Restore
execute as @a[team=red] if entity @s[nbt={SelectedItemSlot:2}] unless entity @a[nbt={SelectedItem:{id:"minecraft:silverfish_spawn_egg"}}] run replaceitem entity @s hotbar.2 minecraft:silverfish_spawn_egg{EntityTag:{Silent:1b,ActiveEffects:[{Id:14,Duration:999999,ShowParticles:0b}],CustomNameVisible:0,CustomName:"\"\"",Tags:["set_wool_red"]},display:{Name:"{\"text\":\"Blocks\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["tnt","slime_block"],HideFlags:63,CanPlaceOn:["#all"]} 64
execute as @a[team=blue] if entity @s[nbt={SelectedItemSlot:2}] unless entity @a[nbt={SelectedItem:{id:"minecraft:endermite_spawn_egg"}}] run replaceitem entity @s hotbar.2 minecraft:endermite_spawn_egg{EntityTag:{Silent:1b,ActiveEffects:[{Id:14,Duration:999999,ShowParticles:0b}],CustomNameVisible:0,CustomName:"\"\"",Tags:["set_wool_blue"]},display:{Name:"{\"text\":\"Blocks\",\"color\":\"gold\",\"bold\":true,\"italic\":false}"},CanDestroy:["tnt","slime_block"],HideFlags:63,CanPlaceOn:["#all"]} 64

#Arrow Dead in Base
execute as @e[type=arrow] at @s if block ~ 0 ~ slime_block run kill @s
execute as @e[type=arrow] at @s if block ~ 0 ~ tnt run kill @s

#Beacon Name
execute as @e[tag=capture_small,scores={captured=-2}] at @s run team join blueX @e[tag=csmall_name,limit=1,sort=nearest]
execute as @e[tag=capture_small,scores={captured=2}] at @s run team join redX @e[tag=csmall_name,limit=1,sort=nearest]

#Recall slow fall
effect give @a[tag=s_21] slow_falling 10 15 true

#Last
function mctsts:game/nofall
execute as @a[gamemode=adventure] at @s if block ~ ~-1 ~ barrier run scoreboard players set @s healthX 0

#Others
function ds:main
function chop:master_game
function lefty:skill_fireball
function lefty:return_block 
function lefty:jump_pads
function lefty:skill_vex
function lefty:skill_fisherman
function lefty:skill_trap
function lefty:skill_recall