scoreboard players add @s[scores={capture_pc=1..,capture_red=..99},tag=!nowhite] capture_red 1
scoreboard players set @s[scores={capture_pc_red=0,capture_red=..99},tag=!nowhite] capture_red 0

scoreboard players add @s[scores={capture_pc=..-1,capture_blue=..99},tag=!nowhite] capture_blue 1
scoreboard players set @s[scores={capture_pc_blue=0,capture_blue=..99},tag=!nowhite] capture_blue 0

scoreboard players add @s[scores={capture_pc=1..,capture_red=..99},tag=nowhite] capture_red 1
scoreboard players remove @s[scores={capture_pc=..-1,capture_red=1..},tag=nowhite] capture_red 1


scoreboard players set @s capture_temp 0
scoreboard players operation @s capture_temp += @s capture_red
scoreboard players operation @s capture_temp += @s capture_blue

execute if score @s capture_temp matches 100.. run tag @s add nowhite
execute as @s[tag=nowhite] run function ds:capture/evenscores_small



scoreboard players add @s[scores={capture_red=100,captured=..1}] captured 1
scoreboard players remove @s[scores={capture_blue=100,captured=-1..}] captured 1



execute at @s[tag=capture_small,scores={capture_red=1..1,capture_pc=1}] run playsound minecraft:block.beacon.ambient master @a[distance=..7,team=red] ~ ~ ~ 0.6 0.0
execute at @s[tag=capture_small,scores={capture_red=20..39,capture_pc=1}] run playsound minecraft:block.beacon.ambient master @a[distance=..7,team=red] ~ ~ ~ 0.6 0.5
execute at @s[tag=capture_small,scores={capture_red=40..59,capture_pc=1}] run playsound minecraft:block.beacon.ambient master @a[distance=..7,team=red] ~ ~ ~ 0.6 1.0
execute at @s[tag=capture_small,scores={capture_red=60..79,capture_pc=1}] run playsound minecraft:block.beacon.ambient master @a[distance=..7,team=red] ~ ~ ~ 0.6 1.5
execute at @s[tag=capture_small,scores={capture_red=80..98,capture_pc=1}] run playsound minecraft:block.beacon.ambient master @a[distance=..7,team=red] ~ ~ ~ 0.6 2.0

execute at @s[tag=capture_small,scores={capture_blue=1..1,capture_pc=-1}] run playsound minecraft:block.beacon.ambient master @a[distance=..7,team=blue] ~ ~ ~ 0.6 0.0
execute at @s[tag=capture_small,scores={capture_blue=20..39,capture_pc=-1}] run playsound minecraft:block.beacon.ambient master @a[distance=..7,team=blue] ~ ~ ~ 0.6 0.5
execute at @s[tag=capture_small,scores={capture_blue=40..59,capture_pc=-1}] run playsound minecraft:block.beacon.ambient master @a[distance=..7,team=blue] ~ ~ ~ 0.6 1.0
execute at @s[tag=capture_small,scores={capture_blue=60..79,capture_pc=-1}] run playsound minecraft:block.beacon.ambient master @a[distance=..7,team=blue] ~ ~ ~ 0.6 1.5
execute at @s[tag=capture_small,scores={capture_blue=80..98,capture_pc=-1}] run playsound minecraft:block.beacon.ambient master @a[distance=..7,team=blue] ~ ~ ~ 0.6 2.0

execute at @s[tag=capture_small,scores={captured=1}] run playsound minecraft:block.beacon.power_select master @a[distance=..7,team=red] ~ ~ ~ 2.0 2.0
execute at @s[tag=capture_small,scores={captured=-1}] run playsound minecraft:block.beacon.power_select master @a[distance=..7,team=blue] ~ ~ ~ 2.0 2.0


execute if entity @s[tag=capture_small,scores={captured=1}] as @a[team=red] run function mctsts:sound/beacon_capture
execute if entity @s[tag=capture_small,scores={captured=1}] run title @a title {"text":""}

execute if entity @s[tag=capture_small,scores={captured=-1}] as @a[team=blue] run function mctsts:sound/beacon_capture
execute if entity @s[tag=capture_small,scores={captured=-1}] run title @a title {"text":""}


execute if entity @s[tag=capture_small,scores={captured=1}] run scoreboard players add @e[tag=capture_big] p_red 25
execute if entity @s[tag=capture_small,scores={captured=-1}] run scoreboard players add @e[tag=capture_big] p_blue 25

#tellraw! TSTSTSTSTSTSTSTSTSTTSTSTSTSTSTSTSTTSTSTSTSTSTSTSTS YOU NEED TO EDIT THIS TSTSTSTSTSTSTTSTSTSTSTSTTS PLEASE Tststststststststststs!
execute if entity @s[tag=capture_small1,scores={captured=1,effect=1}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Strength Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=1}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Strength Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=2}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Resistance Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=2}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Resistance Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=3}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Regeneration Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=3}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Regeneration Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=4}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Golden Grace Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=4}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Golden Grace Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=5}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Slow Falling Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=5}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Slow Falling Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=6}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Invisibility Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=6}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Invisibility Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=7}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Fortifying Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=7}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Fortifying Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=8}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Slime's Sabotage Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=8}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Slime's Sabotage Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=9}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Dual Blessing Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=9}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Dual Blessing Beacon","color":"gold","bold":true}]

execute if entity @s[tag=capture_small2,scores={captured=1,effect=1}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Strength Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=1}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Strength Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=2}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Resistance Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=2}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Resistance Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=3}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Regeneration Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=3}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Regeneration Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=4}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Golden Grace Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=4}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Golden Grace Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=5}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Slow Falling Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=5}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Slow Falling Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=6}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Invisibility Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=6}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Invisibility Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=7}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Fortifying Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=7}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Fortifying Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=8}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Slime's Sabotage Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=8}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Slime's Sabotage Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=9}] run title @a subtitle [{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Dual Blessing Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=9}] run title @a subtitle [{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Dual Blessing Beacon","color":"gold","bold":true}]


execute if entity @s[tag=capture_small1,scores={captured=1,effect=1}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Strength Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=1}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Strength Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=2}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Resistance Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=2}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Resistance Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=3}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Regeneration Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=3}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Regeneration Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=4}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Golden Grace Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=4}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Golden Grace Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=5}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Slow Falling Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=5}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Slow Falling Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=6}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Invisibility Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=6}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Invisibility Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=7}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Fortifying Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=7}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Fortifying Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=8}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Slime's Sabotage Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=8}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Slime's Sabotage Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=1,effect=9}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Dual Blessing Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small1,scores={captured=-1,effect=9}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Dual Blessing Beacon","color":"gold","bold":true}]

execute if entity @s[tag=capture_small2,scores={captured=1,effect=1}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Strength Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=1}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Strength Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=2}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Resistance Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=2}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Resistance Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=3}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Regeneration Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=3}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Regeneration Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=4}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Golden Grace Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=4}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Golden Grace Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=5}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Slow Falling Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=5}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Slow Falling Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=6}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Invisibility Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=6}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Invisibility Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=7}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Fortifying Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=7}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Fortifying Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=8}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Slime's Sabotage Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=8}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Slime's Sabotage Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=1,effect=9}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╕","color":"red"},{"text":" Red","color":"red","bold":true},{"text":" captured","color":"gray"},{"text":" Dual Blessing Beacon","color":"gold","bold":true}]
execute if entity @s[tag=capture_small2,scores={captured=-1,effect=9}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"╣","color":"blue"},{"text":" Blue","color":"blue","bold":true},{"text":" captured","color":"gray"},{"text":" Dual Blessing Beacon","color":"gold","bold":true}]


execute if entity @s[scores={captured=1,effect=1}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Gives","color":"gray"},{"text":" Strength","color":"gold"}]
execute if entity @s[scores={captured=1,effect=2}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Gives","color":"gray"},{"text":" Resistance","color":"gold"}]
execute if entity @s[scores={captured=1,effect=3}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Regenerates ","color":"gold"},{"text":"your health faster","color":"gray"}]
execute if entity @s[scores={captured=1,effect=4}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Increases your","color":"gray"},{"text":" Gold Gain","color":"gold"}]
execute if entity @s[scores={captured=1,effect=5}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Gives","color":"gray"},{"text":" Slow Falling","color":"gold"}]
execute if entity @s[scores={captured=1,effect=6}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Gives","color":"gray"},{"text":" Invisibility","color":"gold"}]
execute if entity @s[scores={captured=1,effect=7}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Fortifies ","color":"gold"},{"text":"your blocks, requiring two hits to break them","color":"gray"}]
execute if entity @s[scores={captured=1,effect=8}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Sabotages ","color":"gold"},{"text":"your enemies' blocks, making them sticky","color":"gray"}]
execute if entity @s[scores={captured=1,effect=9}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Increases your","color":"gray"},{"text":" Point Gain","color":"gold"}]
execute if entity @s[scores={captured=-1,effect=1}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Gives","color":"gray"},{"text":" Strength","color":"gold"}]
execute if entity @s[scores={captured=-1,effect=2}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Gives","color":"gray"},{"text":" Resistance","color":"gold"}]
execute if entity @s[scores={captured=-1,effect=3}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Regenerates ","color":"gold"},{"text":"your health faster","color":"gray"}]
execute if entity @s[scores={captured=-1,effect=4}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Increases your","color":"gray"},{"text":" Gold Gain","color":"gold"}]
execute if entity @s[scores={captured=-1,effect=5}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Gives","color":"gray"},{"text":" Slow Falling","color":"gold"}]
execute if entity @s[scores={captured=-1,effect=6}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Gives","color":"gray"},{"text":" Invisibility","color":"gold"}]
execute if entity @s[scores={captured=-1,effect=7}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Fortifies ","color":"gold"},{"text":"your blocks, requiring two hits to break them","color":"gray"}]
execute if entity @s[scores={captured=-1,effect=8}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Sabotages ","color":"gold"},{"text":"your enemies' blocks, making them sticky","color":"gray"}]
execute if entity @s[scores={captured=-1,effect=9}] run tellraw @a [{"text":" |   ","color":"gray"},{"text":"Increases your","color":"gray"},{"text":" Point Gain","color":"gold"}]





tag @s[scores={captured=1}] remove was_blue
tag @s[scores={captured=1}] add was_red
tag @s[scores={captured=-1}] remove was_red
tag @s[scores={captured=-1}] add was_blue

scoreboard players set @s[scores={capture_red=1..99}] captured 0
scoreboard players set @s[scores={capture_blue=1..99}] captured 0


#revert to old colour if no player
	scoreboard players set @s[scores={capture_red=50..99,capture_pc=0},tag=nowhite,tag=was_red] captured 2
	scoreboard players set @s[scores={capture_red=50..99,capture_pc=0},tag=nowhite,tag=was_red] capture_red 100
	scoreboard players set @s[scores={capture_blue=49..99,capture_pc=0},tag=nowhite,tag=was_blue] captured -2
	scoreboard players set @s[scores={capture_blue=49..99,capture_pc=0},tag=nowhite,tag=was_blue] capture_red 0

	scoreboard players set @s[scores={capture_red=50..99,capture_pc=0},tag=nowhite,tag=was_blue] captured -2
	scoreboard players set @s[scores={capture_red=50..99,capture_pc=0},tag=nowhite,tag=was_blue] capture_red 0
	scoreboard players set @s[scores={capture_blue=49..99,capture_pc=0},tag=nowhite,tag=was_red] captured 2
	scoreboard players set @s[scores={capture_blue=49..99,capture_pc=0},tag=nowhite,tag=was_red] capture_red 100



execute as @s[scores={randomise_blocks=0}] at @s run function ds:capture/randomblocks_small
scoreboard players add @s randomise_blocks 1
scoreboard players set @s[scores={randomise_blocks=10..}] randomise_blocks 0
