# Base Safety
# By: 59_

scoreboard objectives add baseTranCool dummy

scoreboard players remove @a[scores={baseTranCool=1..}] baseTranCool 1

# execute as @e[type=squid,name="redPerim"] at @s run setblock ~ 0 ~ red_concrete
# execute as @e[type=squid,name="bluePerim"] at @s run setblock ~ 0 ~ blue_concrete
# execute as @e[type=squid,name="warPerim"] at @s run setblock ~ 0 ~ white_concrete

execute as @e[type=squid,name="redPerim"] at @s run setblock ~ 0 ~ slime_block
execute as @e[type=squid,name="bluePerim"] at @s run setblock ~ 0 ~ tnt
execute as @e[type=squid,name="warPerim"] at @s run setblock ~ 0 ~ barrier

kill @e[name="redPerim",type=squid]
kill @e[name="bluePerim",type=squid]
kill @e[name="warPerim",type=squid]

bossbar add 1 {"text":"In Home Base - Safe"}
bossbar add 2 {"text":"In War Zone - Unsafe"}
bossbar add 3 {"text":"In Home Base - Safe"}
bossbar add 4 {"text":"In War Zone - Unsafe"}
bossbar add 5 {"text":"In Game Lobby","color":"gold"}
bossbar add 6 {"text":"Spectating Game","color":"gray"}
bossbar add 7 {"text":"In Home Base - Safe","obfuscated":true}
bossbar add 8 {"text":"In Home Base - Safe","obfuscated":true}

bossbar set minecraft:1 color red
bossbar set minecraft:2 color red
bossbar set minecraft:3 color blue
bossbar set minecraft:4 color blue
bossbar set minecraft:5 color yellow
bossbar set minecraft:6 color yellow
bossbar set minecraft:7 color red
bossbar set minecraft:8 color blue

bossbar set minecraft:1 value 100
bossbar set minecraft:2 value 100
bossbar set minecraft:3 value 100
bossbar set minecraft:4 value 100
bossbar set minecraft:5 value 100
bossbar set minecraft:6 value 100
bossbar set minecraft:7 value 100
bossbar set minecraft:8 value 100

execute if score lobby Stats = 1 Const run tag @a remove redHome
execute if score lobby Stats = 1 Const run tag @a remove blueHome
execute if score lobby Stats = 1 Const run tag @a remove redWar
execute if score lobby Stats = 1 Const run tag @a remove blueWar

execute if score lobby Stats = 1 Const run bossbar set minecraft:1 players
execute if score lobby Stats = 1 Const run bossbar set minecraft:2 players
execute if score lobby Stats = 1 Const run bossbar set minecraft:3 players
execute if score lobby Stats = 1 Const run bossbar set minecraft:4 players
execute if score lobby Stats = 1 Const run bossbar set minecraft:5 players @a
execute if score lobby Stats = 1 Const run bossbar set minecraft:6 players

execute if score lobby Stats = 0 Const run bossbar set minecraft:5 players
execute if score lobby Stats = 0 Const run bossbar set minecraft:6 players @a[team=spectator]

# execute if score lobby Stats = 0 Const run execute as @a[team=red] at @s if block ~ 0 ~ red_concrete run tag @s add redHome
# execute if score lobby Stats = 0 Const run execute as @a[team=blue] at @s if block ~ 0 ~ blue_concrete run tag @s add blueHome
# execute if score lobby Stats = 0 Const run execute as @a[team=red] at @s if block ~ 0 ~ white_concrete run tag @s add redWar
# execute if score lobby Stats = 0 Const run execute as @a[team=blue] at @s if block ~ 0 ~ white_concrete run tag @s add blueWar

# execute if score lobby Stats = 0 Const run execute as @a[team=red,tag=redWar] at @s if block ~ 0 ~ red_concrete run scoreboard players set @s baseTranCool 3
# execute if score lobby Stats = 0 Const run execute as @a[team=blue,tag=blueWar] at @s if block ~ 0 ~ blue_concrete run scoreboard players set @s baseTranCool 3
# execute if score lobby Stats = 0 Const run execute as @a[team=red,tag=redHome] at @s if block ~ 0 ~ white_concrete run scoreboard players set @s baseTranCool 3
# execute if score lobby Stats = 0 Const run execute as @a[team=blue,tag=blueHome] at @s if block ~ 0 ~ white_concrete run scoreboard players set @s baseTranCool 3

# execute if score lobby Stats = 0 Const run execute as @a[team=red] at @s if block ~ 0 ~ red_concrete run tag @s remove redWar
# execute if score lobby Stats = 0 Const run execute as @a[team=blue] at @s if block ~ 0 ~ blue_concrete run tag @s remove blueWar
# execute if score lobby Stats = 0 Const run execute as @a[team=red] at @s if block ~ 0 ~ white_concrete run tag @s remove redHome
# execute if score lobby Stats = 0 Const run execute as @a[team=blue] at @s if block ~ 0 ~ white_concrete run tag @s remove blueHome

execute if score lobby Stats = 0 Const run execute as @a[team=red] at @s if block ~ 0 ~ slime_block run tag @s add redHome
execute if score lobby Stats = 0 Const run execute as @a[team=blue] at @s if block ~ 0 ~ tnt run tag @s add blueHome
execute if score lobby Stats = 0 Const run execute as @a[team=red] at @s if block ~ 0 ~ barrier run tag @s add redWar
execute if score lobby Stats = 0 Const run execute as @a[team=blue] at @s if block ~ 0 ~ barrier run tag @s add blueWar

execute if score lobby Stats = 0 Const run execute as @a[team=red,tag=redWar] at @s if block ~ 0 ~ slime_block run scoreboard players set @s baseTranCool 3
execute if score lobby Stats = 0 Const run execute as @a[team=blue,tag=blueWar] at @s if block ~ 0 ~ tnt run scoreboard players set @s baseTranCool 3
execute if score lobby Stats = 0 Const run execute as @a[team=red,tag=redHome] at @s if block ~ 0 ~ barrier run scoreboard players set @s baseTranCool 3
execute if score lobby Stats = 0 Const run execute as @a[team=blue,tag=blueHome] at @s if block ~ 0 ~ barrier run scoreboard players set @s baseTranCool 3

execute if score lobby Stats = 0 Const run execute as @a[team=red] at @s if block ~ 0 ~ slime_block run tag @s remove redWar
execute if score lobby Stats = 0 Const run execute as @a[team=blue] at @s if block ~ 0 ~ tnt run tag @s remove blueWar
execute if score lobby Stats = 0 Const run execute as @a[team=red] at @s if block ~ 0 ~ barrier run tag @s remove redHome
execute if score lobby Stats = 0 Const run execute as @a[team=blue] at @s if block ~ 0 ~ barrier run tag @s remove blueHome

bossbar set minecraft:1 players @a[tag=redHome,scores={baseTranCool=0..0}]
bossbar set minecraft:2 players @a[tag=redWar,scores={baseTranCool=0..0}]
bossbar set minecraft:3 players @a[tag=blueHome,scores={baseTranCool=0..0}]
bossbar set minecraft:4 players @a[tag=blueWar,scores={baseTranCool=0..0}]
bossbar set minecraft:7 players @a[team=red,scores={baseTranCool=1..}]
bossbar set minecraft:8 players @a[team=blue,scores={baseTranCool=1..}]

execute as @a[scores={baseTranCool=3..3}] at @s run playsound minecraft:block.beacon.power_select master @a[distance=0..3] ~ ~ ~ 1 2

effect give @a[tag=redHome] minecraft:resistance 2 120 true
effect give @a[tag=blueHome] minecraft:resistance 2 120 true
effect give @a[tag=redHome] minecraft:weakness 2 120 true
effect give @a[tag=blueHome] minecraft:weakness 2 120 true

effect clear @a[tag=redWar] minecraft:weakness
effect clear @a[tag=blueWar] minecraft:weakness

