execute unless entity @e[tag=area_main] run function mctsts:util/setup
execute unless entity @e[tag=area_main] run function mctsts:util/setup2

# Music
function mctsts:game/music

#Lobby
execute unless entity @e[tag=area_main] run summon minecraft:area_effect_cloud 69 21.66 4.0 {Radius:0.0f,Duration:2147483647,Particle:"take",CustomName:"{\"text\":\"Start\",\"color\":\"gold\"}",CustomNameVisible:1}
execute unless entity @e[tag=area_main] run summon minecraft:area_effect_cloud 65.0 20 1.0 {Radius:0.0f,Duration:2147483647,Particle:"take",CustomName:"{\"text\":\"Join Blue\",\"color\":\"blue\"}",CustomNameVisible:1}
execute unless entity @e[tag=area_main] run summon minecraft:area_effect_cloud 65.0 20 7.0 {Radius:0.0f,Duration:2147483647,Particle:"take",CustomName:"{\"text\":\"Join Red\",\"color\":\"red\"}",CustomNameVisible:1}
execute unless entity @e[tag=area_main] run summon minecraft:area_effect_cloud 65.0 20 4.0 {Radius:0.0f,Duration:2147483647,Particle:"take",CustomName:"{\"text\":\"Leave Team\",\"color\":\"gray\"}",CustomNameVisible:1}
execute unless entity @e[tag=area_main] run summon minecraft:armor_stand 40 13.5 15 {Tags:["play"],Invisible:1,Marker:1,CustomName:"{\"text\":\"Play\",\"color\":\"gold\"}",Team:"gold",CustomNameVisible:1,NoGravity:1}
execute unless entity @e[tag=area_main] run summon minecraft:armor_stand 37.0 13.5 20 {Tags:["tut"],Invisible:1,Marker:1,CustomName:"{\"text\":\"Tutorial\",\"color\":\"gold\"}",Team:"gold",CustomNameVisible:1,NoGravity:1}
execute unless entity @e[tag=area_main] run summon minecraft:armor_stand 47 21.5 0 {Tags:["menu"],Invisible:1,Marker:1,CustomName:"{\"text\":\"Menu\",\"color\":\"gold\"}",Team:"gold",CustomNameVisible:1,NoGravity:1}
execute unless entity @e[tag=area_main] run summon minecraft:area_effect_cloud 34 13 -2 {Radius:0.0f,Duration:2147483647,Particle:"take",CustomName:"{\"text\":\"Creators\",\"color\":\"gold\"}",Team:"gold",CustomNameVisible:1}
execute unless entity @e[tag=area_main] run summon minecraft:area_effect_cloud 29 13 8 {Radius:0.0f,Duration:2147483647,Particle:"take",CustomName:"{\"text\":\"This way!\",\"color\":\"gold\"}",Team:"gold",CustomNameVisible:1}
execute unless entity @e[tag=area_main] run summon minecraft:armor_stand 36.9 14 5 {ArmorItems:[{},{},{},{id:"magenta_dye",Count:1}],Rotation:[90f,0f],NoGravity:1,Tags:["logo","koth"],DisabledSlots:2039583}
execute unless entity @e[tag=area_main] run summon minecraft:armor_stand 52.85 25.5 3.5 {ArmorItems:[{},{},{},{id:"orange_dye",Count:1}],Rotation:[90f,0f],NoGravity:1,Tags:["logo"],DisabledSlots:2039583}
execute unless entity @e[tag=area_main] run summon minecraft:armor_stand 41 23 9 {Rotation:[-130f,0f],Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"scute",Count:1}],Tags:["crow"]}
execute unless entity @e[tag=area_main] run summon villager 41 23 9 {Silent:1b,NoAI:1,Invulnerable:1,NoGravity:1,Team:"noc",ActiveEffects:[{Id:14,Duration:999999,ShowParticles:0b}],Tags:["crowVillager"],Offers:{Recipe:[]}}
execute unless entity @e[tag=area_main] run function mctsts:lobby/crow_pos
execute unless entity @e[tag=area_main] run summon villager 45 21 -3 {NoGravity:1b,Silent:1b,Invulnerable:1b,CustomName:"[{\"text\":\"Menu\",\"bold\":true},{\"text\":\" (\",\"bold\":false,\"color\":\"gray\"},{\"keybind\":\"key.use\",\"color\":\"gray\",\"bold\":false},{\"text\":\")\",\"color\":\"gray\",\"bold\":false}]",CustomNameVisible:1b,Team:"white",PersistenceRequired:1b,NoAI:1b,Profession:4,CareerLevel:1,Tags:["ender_chest"],Attributes:[{Name:generic.knockbackResistance,Base:10000}],Offers:{Recipes:[]},Rotation:[-45f,0f]}
execute unless entity @e[tag=area_main] run function mctsts:lobby/tut_spawn

execute unless entity @e[tag=area_main] run summon minecraft:area_effect_cloud 0 11 0 {Radius:0.0f,Duration:2147483647,Particle:"take",Tags:["area_main"],CustomName:"\"Main\"",CustomNameVisible:1}

scoreboard players add @e[tag=area_main] starttimer 0

execute if score lobby Stats = 0 Const run function mctsts:game/main
execute if score lobby Stats = 1 Const run function mctsts:lobby/main
function lefty:base_safe

#Join Handeler
execute if score lobby Stats = 0 Const as @a[scores={pstatP=1},gamemode=!creative] run function mctsts:join/spectate
execute if score lobby Stats = 1 Const as @a[scores={pstatP=1},gamemode=!creative] run function mctsts:join/first
execute if score lobby Stats = 1 Const as @a[scores={pstatP=1},gamemode=!creative] run function mctsts:join/lobby
execute if score lobby Stats = 0 Const as @a[scores={pstatJ=1},gamemode=!creative] if score @s pstatG = gameid Stats run function mctsts:join/rejoin
execute if score lobby Stats = 0 Const as @a[scores={pstatJ=1},gamemode=!creative] unless score @s pstatG = gameid Stats run function mctsts:join/spectate
execute if score lobby Stats = 1 Const as @a[scores={pstatJ=1},gamemode=!creative] run function mctsts:join/lobby
scoreboard players set @a pstatJ 0

#NV
effect give @a night_vision 999999 0 true
spawnpoint @a 23 13 5 

tp @e[tag=tut] 37.0 13.5 20
tp @e[tag=play] 40 13.5 15
setblock 29 12 5 water
setblock 29 13 5 black_carpet
setblock 31 14 -4 air
data merge entity @e[tag=tut,limit=1] {CustomName:"{\"text\":\"Tutorial\",\"color\":\"gold\"}"}
data merge entity @e[tag=play,limit=1] {CustomName:"{\"text\":\"Play\",\"color\":\"gold\"}"}
execute positioned 37.0 13 20 if entity @a[tag=marhjo,distance=..7] run tp @e[tag=tut] 37.5 13.5 20
execute positioned 37.0 13 20 if entity @a[tag=marhjo,distance=..7] run data merge entity @e[tag=tut,limit=1] {CustomName:"{\"text\":\"tut0rial\",\"color\":\"gold\"}"}
execute positioned 40 13 15 if entity @a[tag=marhjo,distance=..7] run tp @e[tag=play] 40 15.5 15
execute positioned 40 13 15 if entity @a[tag=marhjo,distance=..7] run data merge entity @e[tag=play,limit=1] {CustomName:"{\"text\":\"pllaY\",\"color\":\"gold\"}"}
execute positioned 29 13 5 if entity @a[tag=marhjo,distance=..7] run setblock 29 12 5 minecraft:grass_block
execute positioned 29 13 5 if entity @a[tag=marhjo,distance=..7] run setblock 29 13 5 air
execute positioned 35 13 5 if entity @a[tag=marhjo,distance=..7] run execute as @e[tag=koth] at @s run tp @s ~ ~ ~ ~5 ~
execute positioned 35 13 5 unless entity @a[tag=marhjo,distance=..7] run execute as @e[tag=koth] at @s run tp @s ~ ~ ~ 90 ~
execute positioned 31 14 -4 if entity @a[tag=marhjo,distance=..7] run clone 30 14 -7 30 14 -7 31 14 -4
execute as @a[tag=marhjo,name=marhjo] run kill @a[distance=1..,name=!_tsts_]


